/**
 * The default home of CloudCamp in a project.
 */
export declare const CAMP_HOME_DIR = "cloudcamp";
/**
 * AWS tag - CloudCamp app name
 */
export declare const TAG_APP_NAME = "cloudcamp:app-name";
/**
 * CDK context key - CloudCamp home. Only passed via command line.
 */
export declare const CONTEXT_KEY_HOME = "@cloudcamp/home";
/**
 * CDK context key - CloudCamp app name
 */
export declare const CONTEXT_KEY_NAME = "@cloudcamp/name";
/**
 * CDK context key - source code repository
 */
export declare const CONTEXT_KEY_REPOSITORY = "@cloudcamp/repository";
/**
 * CDK context key - source code branch
 */
export declare const CONTEXT_KEY_BRANCH = "@cloudcamp/branch";
/**
 * CDK context key - AWS region
 */
export declare const CONTEXT_KEY_REGION = "@cloudcamp/region";
/**
 * CDK context key - AWS account number
 */
export declare const CONTEXT_KEY_ACCOUNT = "@cloudcamp/account";
/**
 * CDK context key - AWS VPC ID
 */
export declare const CONTEXT_KEY_VPC = "@cloudcamp/vpc";
/**
 * CDK context key - AWS secret name for repository token
 */
export declare const CONTEXT_REPOSITORY_TOKEN_SECRET = "@cloudcamp/repository-token-secret";
/**
 * CDK context key - CloudCamp version
 */
export declare const CONTEXT_KEY_CLOUDCAMP_VERSION = "@cloudcamp/cloudcamp-version";
/**
 * CDK context key - cloud service provider
 */
export declare const CONTEXT_KEY_PROVIDER = "@cloudcamp/provider";
export declare enum CloudCampProvider {
    AwsCdk = "aws-cdk"
}
