import * as cdk from "aws-cdk-lib/core";
import { Stack } from "./stack";
import { Construct } from "constructs";
/**
 * @experimental
 * @order 3
 */
export declare class Stage extends cdk.Stage {
    /**
     * @experimental
     */
    stack: Stack;
    private _needsManualApproval;
    /**
     * @experimental
     */
    set needsManualApproval(value: boolean);
    /**
     * @experimental
     */
    get needsManualApproval(): boolean;
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string);
}
